Bug 866779 - RFE: Processor Aggregator Device is not stable causing FW-OS communication to stop
RFE: Processor Aggregator Device is not stable causing FW-OS communication to...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
: FutureFeature
Depends On:
Blocks: 961026 1002711 1164899
  Show dependency treegraph
 
Reported: 2012-10-16 02:42 EDT by jcpunk
Modified: 2015-09-18 09:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 09:55:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 42981 None None None 2012-10-16 02:42:49 EDT

  None (edit)
Description jcpunk 2012-10-16 02:42:49 EDT
From upstream bug report:


Processors' Idling, as defined in "Processor Aggregator Device" chapter of ACPI
4.0a spec, isn't stable, it doesn't handle big changes of the active cores
well. Slow changes (e.g. 2 cores idled or activated every second) are OK, but
drastic changes of the number of active cores cause whole FW-OS communication
to stop (communication using ACPI defined interface). It happens especially
when bigger number of cores (8 or more) is reactivated.

Version-Release number of selected component (if applicable):
I've tested it using kernel 2.6.32 and newer, e.g. 3.1.4 with the same results.

Reproducible: Always

Steps to Reproduce:
1. Request OS to idle 8 or more cores as described in "Processor Aggregator
Device" chapter of ACPI 4.0a spec.
2. Request OS to make all cores active.
3. Repeat steps with bigger number of cores to idle if necessary.
Actual Results:  
Cores are active again but communication with the firmware using ASL code is
stopped, no _OST response from OS. power_saving processes are hanging.


Expected Results:  
Cores are active again.



Other details:
Patch in upstream bug merged into main line kernel
Comment 2 Jim Faulkner 2012-12-12 15:46:54 EST
This is also discussed here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1035216

and here:
http://en.community.dell.com/support-forums/servers/f/1466/t/19456558.aspx

The latter link offers some workaround possibilities.
Comment 3 RHEL Product and Program Management 2012-12-16 01:50:48 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2013-10-14 00:44:22 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Chris Williams 2015-09-18 09:55:25 EDT
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 6 and therefore will be closed. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.

Note You need to log in before you can comment on or make changes to this bug.